:root {
  --primary: #FFE719;
  --primary-hover: #E6CF15;
  --primary-soft: #FFF6A3;

  --bg-main: #FAFAF5;
  --bg-secondary: #F4F4ED;
  --bg-card: #FFFFFF;
  --bg-alt: #EFEFE8;

  --text-main: #111111;
  --text-secondary: #2B2B2B;
  --text-muted: #5A5A5A;
  --text-disabled: #8C8C8C;
  --text-white: #FFFFFF;

  --border-light: #E5E5DC;
  --font-base: -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
  --radius-small: 6px;
  --radius-big: 12px;
}

/* Stile navbar */
.navbar {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 80px;
    position: relative;
    font-family: "Inter", Arial;
    margin-bottom: -80px;
}

/* Bottone hamburger */
.hamburger {
    position: absolute;
    left: 20px;
    font-size: 28px;
    cursor: pointer;
    color: white;
}

.logo-vecchio {
    position: absolute;
    right: 20px;
    font-size: 28px;
    cursor: pointer;
    color: white;
}

/* Logo */
.logo a {
    text-decoration: none;
    color: black;
    font-size: 20px;
}

/* Menù laterale */
.side-menu {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    background-color: var(--text-secondary);
    overflow-x: hidden;
    transition: 0.3s;
    padding-top: 60px;
}

.side-menu a {
    padding: 10px 20px;
    text-decoration: none;
    font-size: 18px;
    color: var(--primary);
    display: block;
    font-family: "Inter", Arial;
}

.hamburger-menu-link {
    transition: all 0.3s ease;
}

.hamburger-menu-link:hover {
    transform: translateX(4px);
}

.close-x-icon {
    transition: all 0.3s ease-out;
}

.close-x-icon:hover {
    transform: rotate(180deg);
}

.hamburger-icon {
    transition: all 0.4s ease;
}

.hamburger-icon:hover {
    transform: scaleX(1.1);
}

.closebtn {
    padding: 0px;
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 30px;
    text-decoration: none;
    color: black;
}
